Subject: Ticket Assigned - From Google play store feedback
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jun 2020 05:24:19 +0000

Hi Mohammed Altahir,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  From Google play store feedback Hello,

I put an order on Splash online and paid with PayPal. I canceled it on 27th
of May as I never received the order.
Since then I'm waiting for my refund of 373 aed with plenty of emails and
nothing happened.

Attached a screenshot of my order. I paid with PayPal from
[email-masked].

Thank you for your feedback.
Warm regards,
Viorica Les
0566554074

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1239851